# MX Documentation: API Reference Nexus

> Developer documentation for the MX platform. Covers connecting users to their financial institutions and retrieving enhanced account, transaction, and verification data with the Platform API and Connect Widget; Financial Insights, Personal Finance Management (PFM), and mobile banking experiences; and data products including Data Access, Customer Analytics, and Audiences.

## Nexus

###  

#### Overview

- [Nexus API](https://docs.mx.com/api-reference/nexus/reference/nexus-api.md): Legacy clients can use Nexus API for all their connectivity needs. If you are a new client refer to our Platform API.
- [Authentication and Security](https://docs.mx.com/api-reference/nexus/overview/index.md)
- [HTTP Status Codes and Errors](https://docs.mx.com/api-reference/nexus/overview/errors.md)
- [Webhooks](https://docs.mx.com/api-reference/nexus/overview/webhooks.md)
- [Deleting Objects](https://docs.mx.com/api-reference/nexus/overview/deleting-objects.md)

#### Accounts

- [Accounts Overview](https://docs.mx.com/api-reference/nexus/reference/01-accounts-overview.md): Overview of accounts resource and field definitions
- [Create manual accounts](https://docs.mx.com/api-reference/nexus/reference/create-manual-accounts.md)
- [List all accounts](https://docs.mx.com/api-reference/nexus/reference/list-all-accounts.md)
- [List accounts created by a user](https://docs.mx.com/api-reference/nexus/reference/list-user-created-accounts.md): This endpoint returns accounts belonging only to user-created members. User-created members are those for which `is_user_created == true`.
- [List account transactions](https://docs.mx.com/api-reference/nexus/reference/list-account-transactions.md)
- [List accounts created by a partner](https://docs.mx.com/api-reference/nexus/reference/list-accounts-created-by-partner.md): This endpoint returns accounts belonging only to partner-created members. Partner-created members are those for which `is_user_created == true`.
- [Read an account](https://docs.mx.com/api-reference/nexus/reference/read-account.md)
- [Update an account](https://docs.mx.com/api-reference/nexus/reference/update-account.md): Update an account. The endpoint accepts the optional MX-Skip-Webhook header and `skip_webhook` parameter.
- [Delete a manual account](https://docs.mx.com/api-reference/nexus/reference/delete-a-manual-account.md)
- [List account transactions created between two dates](https://docs.mx.com/api-reference/nexus/reference/list-account-transactions-created-between-two-dates.md)
- [List account transactions updated between two dates](https://docs.mx.com/api-reference/nexus/reference/list-account-transactions-updated-between-two-dates.md)
- [List account balances by month](https://docs.mx.com/api-reference/nexus/reference/list-account-balancesby-month.md): List account balances by month.
- [Merge duplicate accounts](https://docs.mx.com/api-reference/nexus/reference/merge-duplicate-accounts.md)
- [Block an account](https://docs.mx.com/api-reference/nexus/reference/block-account.md): This endpoint is used to delete existing data and block new data from being stored on the specified account. This may be necessary in order to comply with certain rules, regulations, or standards. <br></br>   This endpoint does several things.<ol><li>It immediately and permanently deletes most data…

#### Beats

- [Beats Overview](https://docs.mx.com/api-reference/nexus/reference/01-beats-overview.md): Overview of beats resource and field definitions

#### Budgets

- [Budgets Overview](https://docs.mx.com/api-reference/nexus/reference/01-budgets-overview.md): Overview of budget resource and field definitions
- [Auto-generate budgets](https://docs.mx.com/api-reference/nexus/reference/generate-budgets.md): This endpoint will automatically create budgets for several categories based on existing transactions; these budgets are returned as an array. Specifically, budgets will only be generated if the `user` has at least one `transaction` in a given category during each of the two previous calendar months…
- [Create a budget](https://docs.mx.com/api-reference/nexus/reference/create-budget.md): Create a budget. This endpoint accepts the optional `MX-Skip-Webhook` header and `skip_webhook` parameter.
- [List all budgets](https://docs.mx.com/api-reference/nexus/reference/list-budgets.md): List all budgets
- [Read a specific budget](https://docs.mx.com/api-reference/nexus/reference/read-budget.md): Read a specific budget
- [Update a specific budget](https://docs.mx.com/api-reference/nexus/reference/update-budget.md): Update a specific budget
- [Delete a budget](https://docs.mx.com/api-reference/nexus/reference/delete-budget.md): Delete a budget.

#### Categories

- [Categories Overview](https://docs.mx.com/api-reference/nexus/reference/01-categories-overview.md): Overview of category resource and field definitions
- [Create a subcategory](https://docs.mx.com/api-reference/nexus/reference/create-subcategory.md): Create a subcategory to an already existing parent category.
- [List categories](https://docs.mx.com/api-reference/nexus/reference/list-categories.md)
- [Delete a subcategory](https://docs.mx.com/api-reference/nexus/reference/delete-subcategory.md): Delete a subcategory.
- [Update a subcategory](https://docs.mx.com/api-reference/nexus/reference/update-subcategory.md): Only user-defined subcategories can be updated, i.e., those where the `is_default` field is `false`. The `metadata` field can be used to add information to user-defined subcategories. For default categories, this field will be null and can not be changed via Nexus. This endpoint accepts the optional…
- [List  default categories](https://docs.mx.com/api-reference/nexus/reference/list-default-categories.md): List all default categories that users can choose from.
- [Read a category](https://docs.mx.com/api-reference/nexus/reference/read-category.md): Read a category.
- [List category totals between two dates](https://docs.mx.com/api-reference/nexus/reference/list-category-totals-by-date-range.md): Returns a list of categories that have transactions dated within the provided date range, and the total of all transactions that belong to each category. A single account GUID can be specified by providing an `account_guid` parameter. An array of account GUIDs can be specified by providing a series…

#### Extended Transaction History

- [Extended Transaction History Overview](https://docs.mx.com/api-reference/nexus/reference/01-extended-transaction-history-overview.md): Some institutions allow developers to access an extended transaction history with up to 24 months of data associated with a particular member.
- [Extend transaction history](https://docs.mx.com/api-reference/nexus/reference/extend-transaction-history.md)

#### Goals

- [Goals Overview](https://docs.mx.com/api-reference/nexus/reference/01-goals-overview.md): Overview of goal resource and field definitions
- [Create a goal](https://docs.mx.com/api-reference/nexus/reference/create-goal.md): Create a goal. This endpoint accepts the optional `MX-Skip-Webhook` header and `skip_webhook` parameter.
- [List goals](https://docs.mx.com/api-reference/nexus/reference/list-goals.md)
- [Delete a goal](https://docs.mx.com/api-reference/nexus/reference/delete-goal.md): Delete a goal.
- [Read a goal](https://docs.mx.com/api-reference/nexus/reference/read-goal.md): Read a specific goal
- [Update a goal](https://docs.mx.com/api-reference/nexus/reference/update-goal.md): This endpoint updates a specific goal. This endpoint accepts the optional `MX-Skip-Webhook` header and `skip_webhook parameter`.
- [Reposition goals](https://docs.mx.com/api-reference/nexus/reference/reposition-goals.md)

#### Holdings

- [Holdings Overview](https://docs.mx.com/api-reference/nexus/reference/01-holdings-overview.md): Overview of holding resource and field definitions
- [List all holdings](https://docs.mx.com/api-reference/nexus/reference/list-holdings.md): List all holdings.
- [Read holding](https://docs.mx.com/api-reference/nexus/reference/read-holding.md)
- [Update holding](https://docs.mx.com/api-reference/nexus/reference/update-holding.md)

#### Identity

- [Identity Overview](https://docs.mx.com/api-reference/nexus/reference/01-identity-overview.md): The identify endpoint may be used to gather account owner information on certain institutions.
- [List Account Owners](https://docs.mx.com/api-reference/nexus/reference/list-account-owners.md)
- [Identify](https://docs.mx.com/api-reference/nexus/reference/identify-member.md): This endpoint gathers information about account owners. Partners may optionally choose to include transaction data in this request, potentially avoiding a separate aggregate member request. The identification workflow is similar to standard aggregation -  Start the identification, poll the member, a…

#### Institutions

- [Read institution](https://docs.mx.com/api-reference/nexus/reference/read-institution.md)
- [Search institutions](https://docs.mx.com/api-reference/nexus/reference/search-institutions.md)
- [Institutions Overview](https://docs.mx.com/api-reference/nexus/reference/01-institutions-overview.md): Overview of institution resource and field definitions
- [Institution required credentials](https://docs.mx.com/api-reference/nexus/reference/list-institution-credentials.md): Use this endpoint to view all credentials needed to create a member for a given institution. Intitution-required credentials are subject to change; these credentials must be requested each time a new member is created, or, if being cached, requested daily along with the institution list. If the wron…

#### Jobs

- [Jobs Overview](https://docs.mx.com/api-reference/nexus/reference/01-jobs-overview.md): Overview of job resource and field definitions
- [Read job](https://docs.mx.com/api-reference/nexus/reference/read-job.md)
- [MFA credentials](https://docs.mx.com/api-reference/nexus/reference/list-job-mfa-credentials.md): Best practice is to use the list member challenges endpoint to list challenges that need to be answered; however, MX continues to support partners who use the mfa credentials endpoint for this purpose.<br></br> Institutions often require MFA (multifactor authentication) in order to refresh a member.…

#### Members

- [Members Overview](https://docs.mx.com/api-reference/nexus/reference/01-members-overview.md): Overview of members resource and field definitions
- [Check Balances](https://docs.mx.com/api-reference/nexus/reference/check-member-balance.md): Use this endpoint to gather account balance information for all accounts associated with the member. This endpoint operates much like the aggregate member endpoint except that it gathers only account balance information; it does not gather any transaction data. You must use the read member endpoint…
- [List members](https://docs.mx.com/api-reference/nexus/reference/list-members.md)
- [Create member](https://docs.mx.com/api-reference/nexus/reference/create-member.md)
- [Read member](https://docs.mx.com/api-reference/nexus/reference/read-member.md)
- [Update member](https://docs.mx.com/api-reference/nexus/reference/update-member.md)
- [Delete member](https://docs.mx.com/api-reference/nexus/reference/delete-member.md)
- [Aggregate member](https://docs.mx.com/api-reference/nexus/reference/aggregate-member.md)
- [Aggregate all members](https://docs.mx.com/api-reference/nexus/reference/aggregate-all-members.md)
- [Generate OAuth window URI](https://docs.mx.com/api-reference/nexus/reference/generate-o-auth-window-uri.md): This endpoint will generate an `oauth_window_uri` for the specified `member`.    Generating a new `oauth_window_uri` is necessary in order to send the end user through the OAuth process again. There are several situations where you might want to do this, like if a previous attempt at OAuth failed be…
- [List member accounts](https://docs.mx.com/api-reference/nexus/reference/list-member-accounts.md)
- [List member challenges](https://docs.mx.com/api-reference/nexus/reference/list-member-challenges.md)
- [List member credentials](https://docs.mx.com/api-reference/nexus/reference/list-member-credentials.md)
- [List member transactions](https://docs.mx.com/api-reference/nexus/reference/list-member-transactions.md)
- [Refresh member (alias for aggregate member)](https://docs.mx.com/api-reference/nexus/reference/refresh-member.md): This is an alias for `members/aggregate`. Use this endpoint to create a new aggregation job, which is the process that gathers updated account, transaction, and holding data for a given member. If you've set the `use_cases` field when creating the member, then the member's `use_case` must be set to…
- [Refresh all members (alias for aggregate all member)](https://docs.mx.com/api-reference/nexus/reference/refresh-all-members.md): This is an alias for aggregate all members. This endpoint will kick off a new aggregation job for each member which belongs to the user. If you've set the `use_cases` field when creating the member, then the member's `use_case` must be set to `PFM`, otherwise a 403 will return. The response will inc…
- [Resume aggregation](https://docs.mx.com/api-reference/nexus/reference/resume-aggregation.md)

#### Merchants

- [Merchants Overview](https://docs.mx.com/api-reference/nexus/reference/01-merchants-overview.md): Overview of merchant resource and field definitions
- [List merchants](https://docs.mx.com/api-reference/nexus/reference/list-merchants.md)
- [Read merchant](https://docs.mx.com/api-reference/nexus/reference/read-merchant.md)
- [Read merchant location](https://docs.mx.com/api-reference/nexus/reference/read-merchant-location.md)

#### Microdeposits

- [Microdeposits Overview](https://docs.mx.com/api-reference/nexus/reference/01-microdeposits-overview.md): Overview of microdeposit resource and field definitions
- [Create or Preinitiate a Microdeposit](https://docs.mx.com/api-reference/nexus/reference/create-microdeposit.md): Use this endpoint to create a microdeposit. To create a microdeposit include the `first_name`, `last_name`, `email`, `account_number`, `routing_number`, and `account_type` in the request body. The response will include the new microdeposit record with a status of `INITIATED`. <br></br> You can also…
- [List all microdeposits for a user](https://docs.mx.com/api-reference/nexus/reference/list-microdeposits.md): Use this endpoint to list all the microdeposits associated with the user for which the Nexus session is open.
- [Read a microdeposit](https://docs.mx.com/api-reference/nexus/reference/read-microdeposit.md): Use this endpoint to read the attributes of a specific microdeposit according to its unique GUID. <br></br> Webhooks for microdeposit status changes are triggered when a status changes. However, the actual status of the microdeposit guid only updates once per hour on the 15th minute of the hour. For…
- [Verify a microdeposit](https://docs.mx.com/api-reference/nexus/reference/verify-microdeposit.md): Use this endpoint to verify the amounts deposited into the account during a microdeposit verification. The verification has not successfully completed until the microdeposit status is `VERIFIED`.  Poll the [Read a Microdeposit](/api-reference/nexus/reference/read-microdeposit) endpoint until you see…
- [Delete a microdeposit](https://docs.mx.com/api-reference/nexus/reference/delete-microdeposit.md): Use this endpoint to delete the specified microdeposit.

#### Monthly Cash Flow Profiles

- [Monthly Cash Flow Profile Overview](https://docs.mx.com/api-reference/nexus/reference/01-monthly-cash-flow-profiles-overview.md): Overview of monthly cash flow profile resource and field definitions
- [Read monthly cash flow profile](https://docs.mx.com/api-reference/nexus/reference/read-monthly-cash-flow-profile.md)
- [Update monthly cash flow profile](https://docs.mx.com/api-reference/nexus/reference/update-monthly-cash-flow-profile.md)

#### Notifications

- [Notifications Overview](https://docs.mx.com/api-reference/nexus/reference/01-notifications-overview.md): Overview of notification resource and field definitions
- [Create notification](https://docs.mx.com/api-reference/nexus/reference/create-notification.md)
- [List notifications](https://docs.mx.com/api-reference/nexus/reference/list-notifications.md)
- [Read notification](https://docs.mx.com/api-reference/nexus/reference/read-notification.md)
- [Delete notification](https://docs.mx.com/api-reference/nexus/reference/delete-notification.md)
- [List deliverables](https://docs.mx.com/api-reference/nexus/reference/list-deliverables.md)
- [Create deliverable](https://docs.mx.com/api-reference/nexus/reference/create-deliverable.md)
- [Delete deliverable](https://docs.mx.com/api-reference/nexus/reference/delete-deliverable.md)
- [Read deliverable](https://docs.mx.com/api-reference/nexus/reference/read-deliverable.md)

#### Scheduled Payments

- [Scheduled Payments Overview](https://docs.mx.com/api-reference/nexus/reference/01-scheduled-payments-overview.md): Overview of scheduled payments resource and field definitions
- [List scheduled payments](https://docs.mx.com/api-reference/nexus/reference/list-scheduled-payments.md)
- [Create a scheduled payment](https://docs.mx.com/api-reference/nexus/reference/create-scheduled-payment.md): Create a scheduled payment.
- [Delete a scheduled payment](https://docs.mx.com/api-reference/nexus/reference/delete-scheduled-payment.md): Use this endpoint to delete a specific scheduled_payment according to its unique GUID. Unlike most other Nexus delete requests, a successful delete will return a `204 No Content` status without an empty body.
- [Read a scheduled payment](https://docs.mx.com/api-reference/nexus/reference/read-scheduled-payment.md): Use this endpoint to read the attributes of a specific `scheduled_payment` according to its unique GUID.
- [Update a scheduled payment](https://docs.mx.com/api-reference/nexus/reference/update-scheduled-payment.md): Use this endpoint to update an existing scheduled payment according to its unique GUID.

#### Sessions

- [Create session](https://docs.mx.com/api-reference/nexus/reference/create-session.md)

#### Spending Plans

- [Spending Plan Overview](https://docs.mx.com/api-reference/nexus/reference/01-spending-plans-overview.md): Overview of spending plan resource and field definitions
- [Create a spending plan](https://docs.mx.com/api-reference/nexus/reference/create-spending-plan.md): Create a spending plan.
- [List spending plans](https://docs.mx.com/api-reference/nexus/reference/list-spending-plans.md)
- [Delete a spending plan](https://docs.mx.com/api-reference/nexus/reference/delete-spending-plan.md): Use this endpoint to delete a particular spending plan according to its unique GUID.
- [Read a spending plan](https://docs.mx.com/api-reference/nexus/reference/read-spending-plan.md): This endpoint returns information about a specific spending_plan according to its MX-defined GUID.
- [List spending plan iterations](https://docs.mx.com/api-reference/nexus/reference/list-spending-plan-iterations.md)
- [Delete spending plan account](https://docs.mx.com/api-reference/nexus/reference/delete-spending-plan-account.md)
- [Read a spending plan account](https://docs.mx.com/api-reference/nexus/reference/read-spending-plan-account.md): This endpoint returns information about a specific `spending_plan_account` according to its MX-defined GUID.
- [List spending plan accounts](https://docs.mx.com/api-reference/nexus/reference/list-spending-plan-accounts.md)
- [Read a spending plan iteration](https://docs.mx.com/api-reference/nexus/reference/read-spending-plan-iteration.md): This endpoint returns information about a specific iteration according to its `iteration_number`.
- [Read current iteration](https://docs.mx.com/api-reference/nexus/reference/read-current-spending-plan-iteration.md): This endpoint returns information about the current `iteration` associated to the `spending_plan`.
- [Create a spending plan iteration item](https://docs.mx.com/api-reference/nexus/reference/create-spending-plan-iteration-item.md): This endpoint creates a new `spending_plan_iteration_item`.
- [List spending plan iteration items](https://docs.mx.com/api-reference/nexus/reference/list-spending-plan-iteration-items.md)
- [Read a spending plan iteration item](https://docs.mx.com/api-reference/nexus/reference/read-spending-plan-iteration-item.md): Use this endpoint to read the attributes of a specific spending plan `iteration_item` according to its unique GUID.
- [Update a spending plan iteration item](https://docs.mx.com/api-reference/nexus/reference/update-spending-plan-iteration-item.md): Use this endpoint to update an existing `spending_plan_iteration_item`.
- [Delete spending plan iteration item](https://docs.mx.com/api-reference/nexus/reference/delete-spending-plan-iteration-item.md)

#### Taggings

- [Taggings Overview](https://docs.mx.com/api-reference/nexus/reference/01-taggings-overview.md): Overview of tagging resource and field definitions
- [List taggings](https://docs.mx.com/api-reference/nexus/reference/list-taggings.md)

#### Tags

- [Tags Overview](https://docs.mx.com/api-reference/nexus/reference/01-tags-overview.md): Overview of tags resource and field definitions
- [List tags](https://docs.mx.com/api-reference/nexus/reference/list-tags.md)

#### Transaction Rules

- [Transaction Rules Overview](https://docs.mx.com/api-reference/nexus/reference/01-transaction-rules-overview.md): Overview of transaction rules resource and field definitions
- [List transaction rules](https://docs.mx.com/api-reference/nexus/reference/list-transaction-rules.md)
- [Create transaction rule](https://docs.mx.com/api-reference/nexus/reference/create-transaction-rule.md)
- [Delete a transaction rule](https://docs.mx.com/api-reference/nexus/reference/delete-transaction-rule.md): Use this endpoint to permanently delete a transaction rule based on its unique GUID.
- [Update a transaction rule](https://docs.mx.com/api-reference/nexus/reference/update-transaction-rule.md): Use this endpoint to update the attributes of a specific transaction rule based on its unique GUID. Nexus will respond with the updated `transaction_rule` object. Any attributes not provided will be left unchanged.    Updating the `category_guid` or description will also update all past and future t…
- [Read transaction rule](https://docs.mx.com/api-reference/nexus/reference/read-transaction-rule.md)

#### Transactions

- [Transactions Overview](https://docs.mx.com/api-reference/nexus/reference/01-transactions-overview.md): Overview of transaction resource and field definitions
- [Create manual transaction](https://docs.mx.com/api-reference/nexus/reference/create-manual-transaction.md)
- [Create split transactions](https://docs.mx.com/api-reference/nexus/reference/create-split-transactions.md)
- [Delete transaction](https://docs.mx.com/api-reference/nexus/reference/delete-transaction.md)
- [Read transaction](https://docs.mx.com/api-reference/nexus/reference/read-transaction.md)
- [Update transaction](https://docs.mx.com/api-reference/nexus/reference/update-transaction.md)
- [Delete split transactions](https://docs.mx.com/api-reference/nexus/reference/delete-split-transactions.md)
- [List transactions](https://docs.mx.com/api-reference/nexus/reference/list-transactions.md)
- [List transactions by category GUID and date](https://docs.mx.com/api-reference/nexus/reference/list-transactions-by-category-and-date.md): This endpoint returns transactions with the specified category GUID within the date range provided. This endpoint returns paginated results; each page will need to be requested separately to retrieve the data on that page. The `total_pages` field returns an integer representing the total pages to be…
- [List transactions by top-level category GUID and date](https://docs.mx.com/api-reference/nexus/reference/list-transactions-by-top-level-category-and-date.md): This endpoint returns all transactions that match the provided category GUID between two dates. It includes all transactions in a subcategory of the provided category GUID. This endpoint returns paginated results; each page will need to be requested separately to retrieve the data on that page. The…
- [List transactions created between two dates](https://docs.mx.com/api-reference/nexus/reference/list-transactions-created-between-dates.md): Use this endpoint to list transactions that were created between two dates. This endpoint returns paginated results; each page will need to be requested separately to retrieve the data on that page. The `total_pages` field returns an integer representing the total pages to be requested.
- [List transactions updated between two dates](https://docs.mx.com/api-reference/nexus/reference/list-transactions-updated-between-dates.md): Use this endpoint to list transactions that were updated between two dates. This endpoint returns paginated results; each page will need to be requested separately to retrieve the data on that page. The `total_pages` field returns an integer representing the total pages to be requested.
- [Categorize transactions](https://docs.mx.com/api-reference/nexus/reference/categorize-transactions.md)

#### Users

- [Users Overview](https://docs.mx.com/api-reference/nexus/reference/01-users-overview.md): Overview of user resource and field definitions
- [Read user](https://docs.mx.com/api-reference/nexus/reference/read-user.md)

#### Verification

- [Verification Overview](https://docs.mx.com/api-reference/nexus/reference/01-verification-overview.md): Overview of verification resource and field definitions
- [Read account numbers by account_guid](https://docs.mx.com/api-reference/nexus/reference/read-account-numbers-by-account.md): Use this endpoint to check whether account number data is available for a specific account. This includes the transit number and institution number for Canadian institutions.    For compatibility purposes, a Canadian transit number may sometimes appear in the `routing_number` field. However, all new…
- [Read account numbers](https://docs.mx.com/api-reference/nexus/reference/read-account-numbers.md)
- [Verify member](https://docs.mx.com/api-reference/nexus/reference/verify-member.md)

## OpenAPI Specs

- [v1](/openapi/nexus/v1.yaml)
